解决提示“远程计算机需要网络级别身份验证,而您的计算机不支持该验证”

问题是这样的:在xp下远程连接windows7/windows2008,由于远程win7/win2008计算机在开启远程桌面的时候选中了“仅允许运行使用网络级别身份验证的远程桌面计算机连接”,于是xp下连接时提示错误如下:

远程计算机需要网络级别身份验证,而您的计算机不支持该验证,请联系您的系统管理员或者技术人员来获得帮助

  解决方法如果没有更新最新的远程连接补丁,请下载更新,地址如下:

  用于WindowsServer2003的远程桌面连接(TerminalServicesClient6.0)(KB925876)

  用于WindowsXP的远程桌面连接(TerminalServicesClient6.1)(KB952155)

  用于WindowsXP的远程桌面连接(TerminalServicesClient7.0)(KB969084)

  然后将如下内容复制至记事本并保存为.reg类型文件,双击导入注册表,之后重启即可解决问题。

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlLsa]

"Security Packages"=hex(7):6b,00,65,00,72,00,62,00,65,00,72,00,6f,00,73,00,00,

00,6d,00,73,00,76,00,31,00,5f,00,30,00,00,00,73,00,63,00,68,00,61,00,6e,00,

6e,00,65,00,6c,00,00,00,77,00,64,00,69,00,67,00,65,00,73,00,74,00,00,00,74,

00,73,00,70,00,6b,00,67,00,00,00,00,00

[HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlSecurityProviders]

"SecurityProviders"="msapsspc.dll, schannel.dll, digest.dll, msnsspc.dll, credssp.dll"

当然,你也可以手动修改注册表,步骤如下:

  1、运行“regedit”打开注册表编辑器,进入“HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa”,双击右边栏中的“SecurityPackages”,打开“编辑多字符串”对话框,在列表框光标处增加“tspkg”字符。

  2、然后定位到“HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders”,双击右侧的“SecurityProviders”字符串,打开“编辑字符串”对话框,在数值末端中添加“,credssp.dll”,注意逗号后有一个英文的空格。

  3、退出注册表程序,重启计算机后故障排除。

  附:关于网络级身份验证(NLA)网络级身份验证是一种新的身份验证方法,它在您建立完全的远程桌面连接以及登录屏幕出现之前完成用户身份验证。

  网络级身份验证有以下优点:

  •开始时它只需要很少的远程计算机资源,因为在验证用户身份之前,远程计算机只使用有限的资源。在早期版本中,远程计算机会启动完全的远程桌面连接。

  •它可以通过降低拒绝服务攻击(拒绝服务攻击试图限制或阻止访问Internet)的风险来帮助提高安全性。

  •它采用远程计算机身份验证。这有助于防止用户连接到出于恶意目的而建立的远程计算机。

  要验证计算机是否正在运行具有网络级身份验证功能的远程桌面版本,请按照下列步骤操作:

  1.单击“开始”,单击“所有程序”,单击“附件”,然后单击“远程桌面连接”。

  2.单击“远程桌面连接”对话框左上角的图标,然后单击“关于”。

  3.确保出现“支持网络级别的身份验证”字样。

[via]

评论

Popular Posts

高硼硅玻璃水杯

《小狗钱钱》[德] 博多·舍费尔

甄果人 原味香葱牛轧饼

新概念英语PDF扫描版

《斗破苍穹》天蚕土豆

CuteHttpFileServer/chfs 文件服务器,支持http,webdav,多平台

jamesdonkey贱驴无线蓝牙鼠标

MIFARE Classic Tool - 安卓NFC门禁卡修改工具

月光宝盒 - 提供网站数据备份服务